Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226016

Summary: Merge Review: libgnomeprint22
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: davidz, mclasen, panemade
Target Milestone: ---Flags: panemade: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-09-24 13:47:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
cleanup spec none

Description Nobody's working on this, feel free to take it 2007-01-31 19:23:09 UTC
Fedora Merge Review: libgnomeprint22

http://cvs.fedora.redhat.com/viewcvs/devel/libgnomeprint22/
Initial Owner: davidz@redhat.com

Comment 1 Parag AN(पराग) 2010-09-09 09:03:24 UTC
Review:
koji Build =>http://koji.fedoraproject.org/koji/buildinfo?buildID=164851

+ rpmlint output for SRPM and for RPM.
libgnomeprint22.src: W: spelling-error %description -l en_US devel -> delve, devil, revel
libgnomeprint22.src:211: W: macro-in-%changelog %{_datadir}
libgnomeprint22.src: W: no-buildroot-tag
libgnomeprint22.src:15: W: mixed-use-of-spaces-and-tabs (spaces: line 15, tab: line 14)
libgnomeprint22.x86_64: W: spelling-error %description -l en_US devel -> delve, devil, revel
libgnomeprint22.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgnomeprint/2.18.7/modules/filters/libgnomeprint-clip.so ['/usr/lib64']
libgnomeprint22.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgnomeprint/2.18.7/modules/filters/libgnomeprint-draft.so ['/usr/lib64']
libgnomeprint22.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgnomeprint/2.18.7/modules/filters/libgnomeprint-multipage.so ['/usr/lib64']
libgnomeprint22.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgnomeprint/2.18.7/modules/libgnomeprintlpd.so ['/usr/lib64']
libgnomeprint22.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgnomeprint/2.18.7/modules/filters/libgnomeprint-select.so ['/usr/lib64']
libgnomeprint22.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgnomeprint/2.18.7/modules/filters/libgnomeprint-rotate.so ['/usr/lib64']
libgnomeprint22.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgnomeprint/2.18.7/modules/filters/libgnomeprint-frgba.so ['/usr/lib64']
libgnomeprint22.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgnomeprint/2.18.7/modules/libgnomeprintcups.so ['/usr/lib64']
libgnomeprint22.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgnomeprint/2.18.7/modules/transports/libgnomeprint-file.so ['/usr/lib64']
libgnomeprint22.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgnomeprint/2.18.7/modules/filters/libgnomeprint-zoom.so ['/usr/lib64']
libgnomeprint22.x86_64: W: shared-lib-calls-exit /usr/lib64/libgnomeprint-2-2.so.0.1.0 exit@GLIBC_2.2.5
libgnomeprint22.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgnomeprint/2.18.7/modules/filters/libgnomeprint-reverse.so ['/usr/lib64']
libgnomeprint22.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgnomeprint/2.18.7/modules/transports/libgnomeprint-custom.so ['/usr/lib64']
libgnomeprint22.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgnomeprint/2.18.7/modules/filters/libgnomeprint-reorder.so ['/usr/lib64']
libgnomeprint22.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgnomeprint/2.18.7/modules/transports/libgnomeprint-lpr.so ['/usr/lib64']
libgnomeprint22.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgnomeprint/2.18.7/modules/filters/libgnomeprint-position.so ['/usr/lib64']
libgnomeprint22.x86_64: W: file-not-utf8 /usr/share/doc/libgnomeprint22-2.18.7/NEWS
3 packages and 0 specfiles checked; 15 errors, 7 warnings.

+ source files match upstream url (sha1sum)
f7c550abacf22f602ca097f9033803bf9d4556de  libgnomeprint-2.18.7.tar.bz2

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present which is not needed now.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ libgnomeprint-2.2.pc file present.
+ -devel subpackage
+ no .la files.
+ translations are available
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

Suggestions:
1) Maintainer can perform some cosmetic cleanups.
2) Following new changes can be implemented.
 a) %clean not needed
 b) cleaning of buildroot at start of %install also not needed

Comment 2 Parag AN(पराग) 2010-09-09 09:05:46 UTC
Created attachment 446177 [details]
cleanup spec

If approved I will commit this

Comment 3 Parag AN(पराग) 2010-09-24 13:47:08 UTC
This package is now cleaned in build libgnomeprint22-2.18.7-2.fc15

APPROVED.